---
id: log-config-read
title: "Read a log configuration"
description: "Read a specific log configuration."
sidebar_label: "Read a log configuration"
hide_title: true
hide_table_of_contents: true
api: eJzdV21v2zYQ/isEP62BYitpjAEaUCBLuy3DMARtihVLAvcsniW2FKmSpzSeof8+HCXb8kuWAMM2YF9kWz4en7t77m0pFYbc65q0szKTbxGUABFqzPVc58K4QuTOznXReGCZkUxkDR4qJPRBZjdLqflgDVTKRFqoUGZSK5lIj18a7VHJjHyDiQx5iRXIbClpUbNUIK9tIdtkB8R1iaKx+kuD4vK1cHNBJR5C0t4l0tXY/bxUMpPGFdNOKPMIDIKgYJTyl/VxeZfIh2PbGFMboLnzFUPKXVWBVdPegLFxxXjrOoYZMG+8pkU0e4bg0Z83VMrs5o6xeAy1swEDKzxNU/7Yt2yNWHyFIEKT5xjCvDHs2dxZQkt8EOra6DwKjj8FPr3c96CbfcKcOCSe1ZLu7tZhqnAOjaGB7Mw5g2Dlrrdf41xbDOJriVSiF1TqsO9toUMMQ693JG7tq1v7Shwd/eoIj44ycTkXMc5Ck+hD3x35CAVaygaxyT0C4XGv66Oo0Vc6BO3sd8IxiK867Ch6TMnH0a19JROJtqlkdhMRzMEEvGsTiQ81H54C7bNu1w2Xj9CMDbeOVoYnAqyIert/FRCKqgkkZrhKG1QcS3yAqjZ842l6enacfnt8cnp9MsnSNEvT35lOkOeusTTVagBPW8IC/R6+844PM4NCb6CuEnUNFSj+16sWBu/RbKE5fXk2iVQ2mJPzh8i0z1nOIkGObayA8hIV/2KKLh5LzsGVS4n2Xntnq8htJqtq8i6p2kj6QZo9C89+lCBwhLRFJbQ97J4dTEyl6B6ZSYWzhilh3RS9d34aWIxpkk3SiDGSTU23Ll0lWRiABu9hIROpCavwdKYSVlyFcJsDm8K4/r+rSwckcqhhpo2mxTQHwsL5xVNytXf3WqF/pBRHm3YsPQiP8WmKFN+Sft3XnnYoYVxx0dXfNr4/+/Bhvz5eGI2WRIyBWJdToRpkvml7D0ZzgOuGhPMiFg1biE1D+ltFdNOwbmQgoCZcOIXMGsYjE1lhCFAgd5DtMA6kn87kn66vr0R3QuROofBYewxoiW1h6q7bbz70xzc4KkaJOEtTfpzw4yU/zl5sMfssTWNSqQN82SsqooK81BaPuV3G4tLdFXFRCSR6Uuk/+moe0N+jF3PQpvG4XehmoKbsRAzEVOrc9gwQM69xnoiyqcBukAykVkNAB47VrbxxK78HJd52l95KfvHeQkNlhKxu5bZzhtIMcRXRp0EqpfkrGKGQQJsgYOYa2sDavoerVO+K2OcrMDxqoBLRu5agr1UdpYcMbtsuQyaHMuRd5/7dDNFWRZ7bgvuTDqFB4bo6eH51KYJW+D9LjTB0RE+GCafGJD3lx8vtwE/+u6xgY70FM+2Eug7z7+XHZX+96KnzhmW6TOE3Okfx3sI9aMNa9xLm4PF/NHXOrWgsPtSYE6reJJfnjfeoRuLKIAQU5BcCCtBWcHv0q6yJQx+h5Vmy204+40JmuwN/Iu/BNPjMwZ9n+wqpdLxiFBi7OK87mWRJ8o4VWxwcHS+1aiVPWeyzDkjjedIoieqQjcdQ69EQ0ih31Z7nrtaDUk+wuPKstpB3nK1dkg13kXU4+CrZr12xOkchmfRffnC+4sFY/vzbdezl2s5dPN537IvONhGNY5ehDx2uk1E6SpkDtQtUQawdvf/6BXJvQNu1bbmpRc9bOnujCB9oXBvQcSGLPl320biRw2jIhEcOuRovZSIzrbg8lS4QCy+XMwj43pu25ddfGuTJ6eaOueE150IMm9KBvyuZxbXiL8z45m1fJF+I526wj5i1miXtYsNUKZOey1rJlrebEiEOcWuSn+c51jQ4slfjt5j845trmUjYJs0OSaL2g3CWy07i2n1G27ZrdMS/GWDb/gnQwLVT
sidebar_class_name: "get api-method"
info_path: docs/api/control-plane
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read a log configuration"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/controlplane/log/config/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Read a specific log configuration.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The unique ID of the log configuration."}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"is_default":{"type":"boolean","description":"Defines whether this log configuration is the default. \n>\n> **Note**: If true, it requires the `agent:log_config:create-default` permission; otherwise, it requires `agent:log_config:create`.\n>","enum":[true,false]},"expires_at":{"type":"string","description":"If the log configuration is not default, an expiration date must be specified.","example":"2024-07-12T15:00:00Z"},"account_id":{"type":"integer","description":"Applicable if the log specification is at the account level.","example":2345},"selector":{"type":"object","description":"The tags to be matched to apply the log configuration.","example":{"environment":"production"}},"configuration":{"type":"object","description":"The log configuration as defined in the log specification.","example":{"log_level":"debug","no_error_sampling":50}},"created_configuration_defaults":{"type":"array","items":{"type":"object","properties":{"template_id":{"type":"string"},"template_name":{"type":"string"},"capability_category":{"type":"string"},"capability_provider":{"type":"string"},"default_configuration_id":{"type":"string"}},"title":"configurationDefault"}}},"title":"logConfig"}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      